<?php

include_once "settings.php";

// Set up Calibre database connection
$db = new SQLite3('metadata.sqlite');

$types = $db->query("SELECT
value
FROM custom_column_1
ORDER BY value ASC");

?>

<!DOCTYPE html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js"> <!--<![endif]-->
	<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>About Infopump</title>
	<title><?php echo $SiteName.': '.$SubName;?></title>
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content=<?php echo '"'.$SiteName.' - '.$SubName.'"/>';?>
	<meta name="keywords" content="free software, open source, bibliography, cyberpunk, books, media, movies, video games" />
	<meta name="author" content="Daniel Messer" />

  <!-- 
	//////////////////////////////////////////////////////

	FREE HTML5 TEMPLATE 
	DESIGNED & DEVELOPED by FREEHTML5.CO
		
	Website: 		http://freehtml5.co/
	Email: 			info@freehtml5.co
	Twitter: 		http://twitter.com/fh5co
	Facebook: 		https://www.facebook.com/fh5co

	//////////////////////////////////////////////////////
	 -->

  	<!-- Facebook and Twitter integration -->
<meta property="og:title" content=<?php echo '"'.$SiteName.'" />';?>

<meta property="og:image" content=<?php echo '"'.$SiteURL.'/images/og-site-avatar.jpg" />';?>

<meta property="og:url" content=<?php echo '"'.$SiteURL.'" />';?>

<meta property="og:site_name" content=<?php echo '"'.$SiteName.' - '.$SubName.'" />';?>

<meta property="og:description" content=<?php echo '"'.$SubName.'" />';?>

<meta name="twitter:title" content=<?php echo '"'.$SiteName.' - '.$SubName.'" />';?>

<meta name="twitter:image" content=<?php echo '"'.$SiteURL.'/images/og-site-avatar.jpg" />';?>

<meta name="twitter:url" content=<?php echo '"'.$SiteURL.'" />';?>

<meta name="twitter:card" content="summary" />

	<!-- Place favicon.ico and apple-touch-icon.png in the root directory -->
	<link rel="shortcut icon" href="favicon.ico">
	<!-- Google Fonts -->
	<link href='http://fonts.googleapis.com/css?family=Playfair+Display:400,700,400italic|Roboto:400,300,700' rel='stylesheet' type='text/css'>
	<!-- Animate -->
	<link rel="stylesheet" href="css/animate.css">
	<!-- Icomoon -->
	<link rel="stylesheet" href="css/icomoon.css">
	<!-- Bootstrap  -->
	<link rel="stylesheet" href="css/bootstrap.css">

	<link rel="stylesheet" href="css/style.css">


	<!-- Modernizr JS -->
	<script src="js/modernizr-2.6.2.min.js"></script>
	<!-- FOR IE9 below -->
	<!--[if lt IE 9]>
	<script src="js/respond.min.js"></script>
	<![endif]-->

	</head>
	<body>
	<div id="fh5co-offcanvas">
		<a href="#" class="fh5co-close-offcanvas js-fh5co-close-offcanvas"><span><i class="icon-cross3"></i> <span>Close</span></span></a>
		<div class="fh5co-bio">
		<figure>
				<a href="index.php"><img src="images/avatar.jpg" alt="Infopump Avatar" class="img-responsive"></a>
			</figure>
			<h3 class="heading">About the Project</h3>
			<a href="index.php"><h2>Infopump</h2></a>
			<p>A bibliographic management and display system.<br /><a href="about.php">More info</a></p>

			<hr>
			<p>A free, open source project from:<br />
				<a href="https://rss.com/podcasts/l0wl1f3podcast/">The L0WL1F3 Podcast</a><br />
				<a href="https://www.neondystopia.com/">Neon Dystopia</a><br />
				<a href="https://cyberpunklibrarian.com">Cyberpunk Librarian</a>
			</p>
			<hr>
			<p>
				<a href="https://cyberpunklibrarian.nohost.me/gitlab/code/infopump">GitLab</a>
			</p>
			<ul class="fh5co-social">
				<!--<li><a href="#"><i class="icon-twitter"></i></a></li>
				<li><a href="#"><i class="icon-facebook"></i></a></li>
				<li><a href="#"><i class="icon-instagram"></i></a></li>-->
			</ul>
		</div>

		<div class="fh5co-menu">
			<div class="fh5co-box">
				<h3 class="heading">Recent Additions</h3>
				<ul>
				<?php
				while ($row = $types->fetchArray()) {
					$row_value = $row['value'];
					$row_titlecase = mb_convert_case($row_value, MB_CASE_TITLE, "UTF-8");
					echo '<li><a href="recent.php?ty='.$row_value.'">'.$row_titlecase.'</a></li>';
					//echo '<li>'.$row_value.'</li>';
					
				}

				?>
				</ul>

			</div>
			<div class="fh5co-box">
				<h3 class="heading">Search</h3>
				<form action="results.php" method="get">
					<div class="form-group">
						<input type="text" class="form-control" name="kw" placeholder="Keyword search">
					</div>
				</form>
			</div>
		</div>
	</div>

	<!-- END #fh5co-offcanvas -->
	<header id="fh5co-header">
		
		<div class="container-fluid">

			<div class="row">
				<a href="#" class="js-fh5co-nav-toggle fh5co-nav-toggle"><i></i></a>
				<!-- <ul class="fh5co-social">
					<li><a href="#"><i class="icon-twitter"></i></a></li>
					<li><a href="#"><i class="icon-facebook"></i></a></li>
					<li><a href="#"><i class="icon-instagram"></i></a></li>
				</ul> -->
				<div class="col-lg-12 col-md-12 text-center">
					<h1 id="fh5co-logo"><a href="index.php">Infopump</a></h1>
					<h3>A bibliographic display system</h3>
				</div>

			</div>
		
		</div>

	</header>
	<!-- END #fh5co-header -->
	<div class="container-fluid">
		<div class="row fh5co-post-entry single-entry">
			<article class="col-lg-8 col-lg-offset-2 col-md-8 col-md-offset-2 col-sm-8 col-sm-offset-2 col-xs-12 col-xs-offset-0">
				<figure class="animate-box">
					<img src="images/og-site-avatar.jpg" alt="A woman wearing a neon cybervisor over her eyes" class="img-responsive">
				</figure>
				<!-- <span class="fh5co-meta animate-box"><a href="single.html">Travel</a></span> -->
				<h2 class="fh5co-article-title animate-box">About Infopump</h2>
				<!-- <span class="fh5co-meta fh5co-date animate-box">March 6th, 2016</span> -->
				
				<div class="col-lg-12 col-lg-offset-0 col-md-12 col-md-offset-0 col-sm-12 col-sm-offset-0 col-xs-12 col-xs-offset-0 text-left content-article">
					<div class="row">
						<div class="col-lg-8 cp-r animate-box">
							<p>There are two things behind the creation of Infopump, the thought directly above and an almost obsessively compiled spreadsheet of cyberpunk media. Shadowlink, from Neon Dystopia and the L0WL1F3 Podcast, created something amazing. It's a gigantic Google Sheet of cyberpunk related books, movies, games, music, and more. When I first saw it, the librarian in me went wild. Because what I saw wasn't a spreadsheet, I saw a bibliography.</p>

							<p>After a couple conversations, I got to work on something that would take that data and display it in an attractive manner, and maybe even make it fun. We needed more than just titles and authors though, especially if this was going to be a useful bibliography. After some attempts to build a cataloguing interface, I had an epiphany while working on some eBook collections for my everyday job. (Hello, <a href="https://cyberpunklibrarian.com/about/">I'm Dan</a>. I'm a <a href="https://www.linkedin.com/in/danielmesser/">Systems Librarian</a>, library technologist, and researcher.) It dawned on me that there is already a piece of software that could handle the cataloguing, the metadata, the collection, and all the rest. And it's free, open source, and cross platform. It has an excellent, well designed database powered by SQLite which I could query using PHP and display the results in a web browser.</p>

							<p><a href="https://calibre-ebook.com/">Calibre</a>.</p>
						</div>
						<div class="col-lg-4 animate-box">
							<div class="fh5co-highlight right">
								<h4>...</h4>
								<p> I'm adding new features quite frequently because, as a librarian, I want to get Infopump up to a state where I can start focusing more on cataloguing than coding. I'll write more about the project later, but at least you know what's going on now, and what this software is for.</p>
							</div>
						</div>
					</div>

					<!-- <div class="row rp-b">
						<div class="col-md-12 animate-box">
							<blockquote>
								<p>&ldquo;She packed her seven versalia, put her initial into the belt and made herself on the way. When she reached the first hills of the Italic Mountains, she had a last view back on the skyline of her hometown Bookmarksgrove &rdquo; <cite>&mdash; Jean Smith</cite></p>
							</blockquote>
						</div>
					</div> -->

					<div class="row rp-b">
						<div class="col-lg-6 col-md-12 animate-box">
							<figure>
								<img src="images/1.jpg" alt="The cover of Neuromancer, by William Gibson" class="img-responsive">
								<!-- <figcaption>This is a sweet image caption. Far far away, behind the word mountains, far from the countries Vokalia and Consonantia</figcaption> -->
							</figure>
						</div>
						<div class="col-lg-6 col-md-12 cp-l animate-box">
							<p>I threw out the original MariaDB database and threw some records into Calibre, using dummy PDFs as books. We're not interested in the eBook files, we want the delicious *data*. And so long as you have an ISBN and/or decent starting data, Calibre can automatically fetch all the other metadata about an item. After cataloguing a few items, I copied the database to my development server and went to work.</p>

							<p>Infopump is a free and open source bibliographic display system for people and groups who want to offer a curated collection of media about a topic. While this initial Infopump instance focuses on Shadowlink's cyberpunk collection, it could be used for any collection. All the cataloging is handled by Calibre and the web display is handled by Infopump.</p>

							<p>Infopump is still in development, so you may spot some bugs before I do. But I'm adding new features quite frequently because, as a librarian, I want to get Infopump up to a state where I can start focusing more on cataloguing than coding. I'll write more about the project later, but at least you know what's going on now, and what this software is for.</p>
						</div>
					</div>

					<div class="row rp-b">
						<div class="col-lg-6 col-lg-push-6 col-md-12 col-md-push-0 animate-box">
							<figure>
								<img src="images/infopump-featured.jpg" alt="A man stands in a cyberpunk city, looking up at the connections above him" class="img-responsive">
								<!-- <figcaption>This is a sweet image caption. Far far away, behind the word mountains, far from the countries Vokalia and Consonantia</figcaption> -->
							</figure>
						</div>
						<div class="col-lg-6 col-lg-pull-6 col-md-12 col-md-pull-0 cp-r animate-box">
							<p>It's for collections, and it's for you.</p>

							<p>Thank you from your little free Cyberpunk Librarian, and the L0WL1F3 lads at Neon Dystopia.</p>

							<p>Contact: cyberpunklibrarian [at] protonmail [dot] com<br />Code: <a href="https://cyberpunklibrarian.nohost.me/gitlab/code/infopump">GitLab</a></p>
						</div>
					</div>

				</div>
			</article>
		</div>
	</div>

	<footer id="fh5co-footer">
		<p><small>&copy; Creative Commons By-NC-SA<br> Design by <a href="http://freehtml5.co" target="_blank">FREEHTML5.co</a></small></p>
	</footer>
	
	<!-- jQuery -->
	<script src="js/jquery.min.js"></script>
	<!-- jQuery Easing -->
	<script src="js/jquery.easing.1.3.js"></script>
	<!-- Bootstrap -->
	<script src="js/bootstrap.min.js"></script>
	<!-- Waypoints -->
	<script src="js/jquery.waypoints.min.js"></script>
	<!-- Main JS -->
	<script src="js/main.js"></script>

	</body>
</html>

